Не запускается IonCube Loader

Тема в разделе "Администрирование серверов", создана пользователем ssh2k, 11 апр 2010.

Статус темы:
Закрыта.
Модераторы: mefish, stooper
  1. ssh2k

    ssh2k

    Регистр.:
    2 июл 2007
    Сообщения:
    251
    Симпатии:
    143
    Что сделал я.

    Код:
    wget http://downloads2.ioncube.com/loader_downloads/ioncube_loaders_all_platforms.tar.gz
    tar zxf ioncube_loaders_all_platforms.tar.gz
    mv ioncube /usr/local
    в конфиг php

    Код:
    zend_extension = /usr/local/ioncube/ioncube_loader_lin_5.2.so
    zend_extension_ts = /usr/local/ioncube/ioncube_loader_lin_5.2_ts.so
    И фига. Голову сломал. :nezn:
     
  2. zerg

    zerg

    Регистр.:
    5 май 2006
    Сообщения:
    262
    Симпатии:
    343
    Куб должен быть первым из зенд расширений.
    Есть проблемы совместимости с пхп. Ставь 5,2,13
    + незабываем service httpd restart
     
  3. ssh2k

    ssh2k

    Регистр.:
    2 июл 2007
    Сообщения:
    251
    Симпатии:
    143
    Куб должен быть первым из зенд расширений. - т.е. в пхп его прописать первым? если я понял верно то так и сделал.

    Есть проблемы совместимости с пхп. Ставь 5,2,13 - в смысле 5.2.so? так вроде это и ставил.

    Не забываем..

    Зы.Если,я ваще чушь написал поправь чайнику.
     
  4. zerg

    zerg

    Регистр.:
    5 май 2006
    Сообщения:
    262
    Симпатии:
    343
    Да нет, это мну туплю с утра)
    Проблемы совместимости есть у пхп и зендоптимизера.
    с кубом не встречалось.
    покажи
    php -m
    php -v
     
  5. ssh2k

    ssh2k

    Регистр.:
    2 июл 2007
    Сообщения:
    251
    Симпатии:
    143
    Проблема решена.

    Она заключалась в том что, я скачал IonCube для X86_64 вместо X86. и все)
     
Статус темы:
Закрыта.